%define name    pgpool
%define version 3.4.1
%define release %mkrel 5

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Connection pooling/replication server for PostgreSQL
License: BSD
Group: System/Servers
URL: http://pgfoundry.org/projects/pgpool
Source0: http://pgfoundry.org/frs/download.php/1446/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}

%description
Pgpool is a connection pooling/replication 
server for PostgreSQL.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall
mv %{buildroot}/%{_sysconfdir}/pgpool.conf.sample \
    %{buildroot}/%{_sysconfdir}/pgpool.conf
mv %{buildroot}/%{_sysconfdir}/pool_hba.conf.sample \
    %{buildroot}/%{_sysconfdir}/pool_hba.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/pgpool.conf
%config(noreplace) %{_sysconfdir}/pool_hba.conf
%{_bindir}/pgpool
%{_mandir}/man8/pgpool.*
%{_datadir}/pgpool



%changelog
* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.4.1-5mdv2009.0
+ Revision: 258963
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.4.1-4mdv2009.0
+ Revision: 246854
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.4.1-2mdv2008.1
+ Revision: 171034
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.4.1-1mdv2008.1
+ Revision: 116443
- new version
  install sample configuration files as real ones

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Tue Feb 27 2007 Anne Nicolas <anne.nicolas@mandriva.com> 3.1.1-1mdv2007.0
+ Revision: 126734
- new version
- Import pgpool

* Mon Jun 19 2006 - Anne Nicolas <anne.nicolas@mandriva.com> 3.0.2-1
- initial release

